// D3 Enter, Update & Exit in DataJoin

function getData() {
  let data = [];
  let numItems = Math.ceil(Math.random() * 5);
  for(let i = 0; i < numItems; i++) {
    data.push(40)
  }
  return data;
} 

function update(data) {
  d3.select('.chart')
  	.selectAll('circle')
  	.data(data)
  	.join(
  		(enter) => 
      	enter
    			.append('circle')
    			.style('opacity', 0.25)
    			.style('fill', 'blue')
      ,
    	(update) =>
    		update
    			.style('opacity', 0.25)
    			.style('fill', 'red')
    	,
    	(exit) => exit.style('fill', 'green'),
  	)
    .attr('cx', (d, i) => i * 100 + 40)
    .attr('cy', 50)
    .attr('r', d => 0.5 * d);
}

function updateAll() {
  let myData = getData();
  console.log('My Data: ', myData)
  update(myData);
}

// updateAll(); 

d3.select('button').on('click', updateAll);